package com.keao.edu.user.enums;

import com.keao.edu.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020.06.18
 **/
public enum ExamStatusEnum implements BaseEnum<String, ExamStatusEnum> {
    SETTING("SETTING", "设置中", 1),
    NOT_START("NOT_START", "未开始", 2),
    APPLYING("APPLYING","报名中", 3),
    APPLIED("APPLIED", "报名结束", 4),
    EXAM_ING("EXAM_ING", "考试中", 5),
    EXAM_END("EXAM_END", "考试结束", 6),
    RESULT_CONFIRM("RESULT_CONFIRM", "确认考试结果", 7),
    CLOSE("CLOSE", "关闭", 8),
    DELETE("DELETE", "删除", 9);

    private String code;

    private String msg;

    private int order;

    ExamStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    ExamStatusEnum(String code, String msg, int order) {
        this.code = code;
        this.msg = msg;
        this.order = order;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getOrder() {
        return order;
    }

    public void setOrder(int order) {
        this.order = order;
    }}
